python-greenlet needs porting

Bug #1153944 reported by Dirk Mueller on 2013-03-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro AArch64 cross-distro work
Low
Unassigned

Bug Description

python-greenlet (dependency of python-eventlet, which is needed by a couple of packages) fails with:

[ 796s] gcc -pthread -DNDEBUG -O2 -g -O2 -g -fPIC -I/usr/include/python2.7 -c greenlet.c -o build/temp.linux-aarch64-2.7/greenlet.o
[ 811s] greenlet.c:420:2: error: #error "greenlet needs to be ported to this platform, or teached how to detect your compiler properly."
[ 812s] greenlet.c:304:12: warning: 'slp_switch' used but never defined [enabled by default]
[ 814s] error: command 'gcc' failed with exit status 1
[ 815s] error: Bad exit status from /var/tmp/rpm-tmp.itfBEn (%build)
[ 815s]

Riku Voipio (riku-voipio) wrote :

Appears to be not widely used, but the platform specific part of the code is quite short and comes with testsuite.

Changed in linaro-aarch64:
importance: Undecided → Low
status: New → Triaged
Riku Voipio (riku-voipio) wrote :

Fix released on python-greenlet 0.4.1

Changed in linaro-aarch64:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers